-- vs
#version 100

precision mediump float;

// Matricies
uniform mat4 mWorld;
uniform mat4 mView;
uniform mat4 mProjection;

// Vertex Shader Attributes
attribute highp vec3 a_position;

void main()
{
    gl_Position = mProjection * mView * mWorld * vec4(a_position, 1.0);
}

-- fs
#version 100

// Textures
uniform lowp vec4 mixColor;

void main() 
{
    gl_FragColor = mixColor;
}
